如何让OpenCL在14.10 + Nvidia 331.89驱动程序上运行?

Modified on: Tue, 19 Jun 2018 19:24:53 +0800

专有驱动程序331.89不给我OpenCL。 (尝试过两次测试/更新)
有一段时间我有版本304.123工作 - 除了我想要当前的驱动程序,现在无法降级。

无论如何 - 我可以通过解决方法降级,但我希望331.89能够工作。

我使用“darktable -d opencl”作为测试
alos添加了对darktable的符号链接,但这对331.89没有帮助

作者:user105939

最佳答案

在我发现一系列论坛发布虚拟光照表,参与者在其中进行一些调试。事实证明,NVIDIA驱动程序需要一个自定义modprobe规则,默认情况下不会安装nvidia-331或opencl驱动程序。这些规则在nvidia-modprobe包中提供。

以下列出了使用NVIDIA驱动程序在Ubuntu 14.10上运行OpenCL所需的所有软件包:

sudo apt-get install nvidia-331 nvidia-331-uvm nvidia-opencl-dev nvidia-modprobe

编辑:如果有人在Ubuntu 15.04和NVIDIA 346.59驱动程序上遇到类似的问题,解决问题的命令几乎相同:

sudo apt-get install nvidia-346 nvidia-346-uvm nvidia-opencl-dev nvidia-modprobe
作者:,bkloppenborg

相关问答

添加新评论